Public Member Functions | Static Public Member Functions

# SoundDriver Class Reference

Base for all sound drivers. More...

`#include <sound_driver.hpp>`

Inheritance diagram for SoundDriver:

## Public Member Functions
virtual void | MainLoop ()
| Called once every tick.
## Static Public Member Functions
static SoundDriver * | GetInstance ()
| Get the currently active instance of the sound driver.

## Detailed Description

Base for all sound drivers.

Definition at line 18 of file sound_driver.hpp.

The documentation for this class was generated from the following file:

- src/sound/sound_driver.hpp